# Generated from logistics_core-21.08.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name logistics_core

Name: rubygem-%{gem_name}
Version: 21.08.1
Release: 1%{?dist}
Summary: Core classes for MKS logistics apps
License: MIT
URL: http://www.mks.com.et
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec-rails) >= 4.0
# BuildRequires: rubygem(rspec-rails) < 5
# BuildRequires: rubygem(rspec-rails) >= 4.0.1
# BuildRequires: rubygem(factory_girl_rails) = 4.8.0
# BuildRequires: rubygem(ffaker) = 2.5.0
# BuildRequires: rubygem(pg) = 0.20.0
BuildArch: noarch

%description
Core classes for MKS logistics applications.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 21.08.1-1
- Initial package
